
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《HTML5和JavaScript Web应用开发》——1.2　在客户端放置更多代码 / iVAN</title>

    <meta name="description" content="《HTML5和JavaScript Web应用开发》——1.2　在客户端放置更多代码 1.2 在客户端放置更多代码 不可否认,传统的服务器端模板正逐渐被JavaScript模板所取代.随着许多新JavaScript框架的出现,我们似乎也有些反应过度,但这就是技术发展过程中所出现的现象:由于浏览器变得更加容易移动,并且通过JavaScript API得到更多硬件访问能力,因此驱动UI的技术也在变化.从某种程度来说,客户端和服务器端方法中用户界面的构件是相通的,它们都需要显示和收集数据.我们仍然需要在代码中添加框架专有的标记或者属性,以便知道数据在哪里显示,但是不再需要依赖服务器.现">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《HTML5和JavaScript Web应用开发》——1.2　在客户端放置更多代码</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>1.2　在客户端放置更多代码</h3>
<p>不可否认，传统的服务器端模板正逐渐被JavaScript模板所取代。随着许多新JavaScript框架的出现，我们似乎也有些反应过度，但这就是技术发展过程中所出现的现象：由于浏览器变得更加容易移动，并且通过JavaScript API得到更多硬件访问能力，因此驱动UI的技术也在变化。从某种程度来说，客户端和服务器端方法中用户界面的构件是相通的，它们都需要显示和收集数据。我们仍然需要在代码中添加框架专有的标记或者属性，以便知道数据在哪里显示，但是不再需要依赖服务器。现在，我们从间歇性的REST风格和WebSocket连接得到对象和数据，这些连接通过客户端的JavaScript框架自动与UI绑定。我们的应用程序现在能够偶然同步数据，并且拥有离线工作的能力。</p>
<p>为了加强这种能力，处理应用程序的不同状态，我们必须考虑使用新的客户端代码管理方法。jQuery和Prototype之类的JavaScript程序库不能定义前端开发模式，我们应该认真考虑使用跨浏览器DOM来操纵程序库，但是可伸缩客户端架构比以前更复杂了。利用Erich Gamma等人的经典著作《Design Patterns:Elements of Reusable Object-Oriented Software》（_Addison-<br />
Wesley Professional，1995）中收集的成熟技术组织代码和应用程序结构只是一个开始。现在，超过40个MVC JavaScript框架自认为是MVC框架，但是它们应该叫做MV*。它们都使用了不同的技术管理模式、视图和控制器，许多框架与原始的Smalltalk MVC概念已经有了很大的不同。尽管JavaScript框架为我们提供了很好的代码组织和构造手段，我们仍然必须自己处理输出硬件级访问的浏览器API，例如Geolocation或者Web Workers。重量级的HTML5驱动用户界面架构仍然处于探索期，但是你很幸运，因为本书能够帮助你看清前方的道路。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 23:54:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/html5/" title="HTML5">HTML5</a>, <a href="https://www.iamivan.net/tag/mvc/" title="mvc">mvc</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7%e7%95%8c%e9%9d%a2/" title="用户界面">用户界面</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e7%ab%af%e5%bc%80%e5%8f%91/" title="前端开发">前端开发</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81%e7%ae%a1%e7%90%86/" title="代码管理">代码管理</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《HTML5和JavaScript Web应用开发》——1.2　在客户端放置更多代码的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWWr5GM.html" rel="bookmark">《HTML5和JavaScript Web应用开发》&mdash;&mdash;2&period;2　决定支持</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 决定支持 基于目前移动领域的局面,我们必须支持多种平台和浏览器.当你使用HTML5的核心API时,你就被绑定到目标设备所支持的特性上,所以理解当今的移动浏览器及其发展方向至关重要. 编写跨越所有平台和浏览器的Web应用是一个很大的工程.以前,Web应用开发人员不关心桌面电脑是否连接了摄像头或者加速计,Web应用和操作系统及桌面硬件的能力也没有关系.现在,移动Web为我们构建的应用增加了另一方面的支持,浏览器和设备的分裂也令人兴奋,我们现在必须创建兼容不同浏览器.平台和设备的应用.例如,A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm37Ljb.html" rel="bookmark">《HTML5和JavaScript Web应用开发》&mdash;&mdash;1&period;3　浏览器（即平台）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 浏览器(即平台) Web浏览器正在成为(或者已经成为)应用程序的另一个平台.在选择应用程序支持的时候,对浏览器的考虑至少和服务器端一样重要,我们的前端代码现在打包为HTML5驱动的原生应用.扩展和操作系统.正如我们在Google的Chrome OS和Mozilla的Boot2 Gecko项目中看到的一样,Open Web很明显被看作编写应用程序的一个平台. HTML5.Open Web和移动设备已经进一步推动了浏览器平台,使浏览器能够在离线状态下存储数据和运行应用,但是许多驱动这一平台的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVQQODp.html" rel="bookmark">《HTML5和JavaScript Web应用开发》&mdash;&mdash;第 1 章　客户端架构   1&period;1了解HTML5</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第 1 章 客户端架构 今天,客户端开发显然需要在HTML驱动应用架构中更多地思考和投资.随着Web应用的发展,我们见证了从具有紧耦合模板逻辑以及繁重的后端处理的传统服务器端框架向松耦合的JavaScript的转变,实现任何时候不管是上线还是离线都能运行. 但是,这只是过去的重复吗?在20世纪八九十年代,我们不是已经经历了胖客户端时代(如图1-1所示)吗? 和20年前不同,浏览器-如今的客户端平台要强大得多,更不要说移动浏览器了.此外,如今的客户端能够通过浏览器和蜂窝网络报告各种有趣的数据,例如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqOJjez.html" rel="bookmark">《HTML5和JavaScript Web应用开发》&mdash;&mdash;2&period;6　QA和设备测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.6 QA和设备测试 除了确定将要支持的浏览器外,你还需要一个简单的开发和测试方法.根据项目的规模,企业开发和QA周期可能很昂贵,所以建立合适的快速开发和测试环境是成功的关键. 因为当前移动市场主要属于Android和iOS,进行基于WebKit的测试相当简单,我们可以像平常在桌面浏览器那样进行测试,然后在某个版本的WebKit支持的目标移动设备上运行.但是,在桌面版本的Chrome或者Safari上测试应用,并不意味着在所有基于WebKit的移动浏览器上都能正常工作,也不意味着WebKit能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwXJrnb.html" rel="bookmark">《HTML5和JavaScript Web应用开发》&mdash;&mdash;1&period;4　结语</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 结语 不管你是为大公司还是为新兴的公司工作,你都必须磨练技能,眼光不要停留在漂亮的首页.黑客新闻或者社交网站上,而应该为当前的项目作出有价值的决策.你必须建立和维护编写.测试和调试代码与所选择框架的工作流.这些工作流可能包含许多程序库和过程,从使用JSHint自动化检查IDE,到用应用程序包含的所有JavaScript的精简组合版本测试代码.总而言之,理解并实施Web应用程序或者改进现有应用工具是很有价值的. 客户端应用架构仍然处于初级阶段,随着时间的推移,工具和过程将会越来越好,Jav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ91lKb.html" rel="bookmark">《HTML5和JavaScript Web应用开发》&mdash;&mdash;第 2 章　移动Web   2&period;1移动优先</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第 2 章 移动Web 2013年,消费者将会购买10亿部具有HTML5功能的移动设备.今天,半数的美国成年人拥有智能手机,也就是1.5亿人,其中28%的人将移动设备作为访问Web的主要手段.支持HTML5应用程序的浪潮正在涌来,开发人员正将重点转向移动开发. 即使在大型企业环境中,移动浏览器的统计数字也在上升,但我们仍然要面对这个事实-1/3的互联网用户仍然使用Internet Explorer 9以前的版本访问互联网.事实上,在某些情况下,这些早期的Internet Explorer用户占据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJrYJ6z.html" rel="bookmark">《HTML5和JavaScript Web应用开发》&mdash;&mdash;2&period;4　浏览器分级</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 浏览器分级 上一节内容引出了一个重要的话题:浏览器分级.浏览器分级是任何移动Web项目必须考虑的,它给开发者和QA人员提供了应用程序开发和测试中保持清醒的一种手段,还详尽地解释了对用户支持的具体安排,以及移动Web应用能力的整体目标.表2-1展示了来自QuirksMode的一个浏览器分级示例.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPLAorp.html" rel="bookmark">《HTML5和JavaScript Web应用开发》&mdash;&mdash;2&period;3　移动浏览器市场份额</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 移动浏览器市场份额 在浏览器市场份额的最新报告中,基于WebKit的浏览器明显占据领先,拥有80%的市场份额(见图2-5).现在Android和iOS占有统治地位,但是随着新操作系统(如Mozilla基于HTML5的移动B2G项目)的出现,我们可以看到持续的&quot;浏览器战争&quot;中的新力量. 随着科学技术的发展,基于WebKit的浏览器从2011年10月占据的75%市场份额提高到2012年的超过80%,Opera Mini的市场份额从18.65%下降到12%,Internet Expl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0KjAp.html" rel="bookmark">web前端开发upload上传头像js示例代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这次分享一个简易的上传头像示例,其大致流程为: 一.将选择的图片转为base64字符串 function preview(file) {//预览图片得到图片base64 var prevDiv = document.getElementById('preview'); if (file.files &amp;&amp; file.files[0]) { var reader = new FileReader(); reader.onload = function(evt){ prevDiv.innerHT			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdm01z.html" rel="bookmark" class="title">Vuejs&mdash;&mdash;（2）Vue生命周期，数据，手动挂载，指令，过滤器</a>
					<div>
						原教程: http://cn.vuejs.org/guide/instance.html http://cn.vuejs.org/guide/syntax.html 本博文是在原教程的基础上加上实例, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr43Oz.html" rel="bookmark" class="title">Flash视频教程实例：任意变形工具的应用</a>
					<div>
						教程|视频教程 制作步骤:(全屏观看教程)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MW4lep.html" rel="bookmark" class="title">创建一个Flash站点的十大技巧</a>
					<div>
						创建|技巧|站点 根据Macromedia 顶级Flash设计者,开发者以及可用性专家的建议,我们收集了创建一个具备可用性的Macromedia Flash站点的十大技巧. 1.记住用户的目标 用户往 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ83BM.html" rel="bookmark" class="title">1栏分页显示（附显示的形式前页，后页）</a>
					<div>
						分页|显示 显示的形式id name1 juliet2 cristine3 boy4 girl&gt;&gt;首页 前页 后页 尾页 页数:1/4 4记录/页 总记录数:13条代码:&lt;!--pa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2N33b.html" rel="bookmark" class="title">ASP连接数据库的5种方法</a>
					<div>
						连接数据库 第一种 - 这种方法用在ACCESS中最多strconn = &quot;DRIVER=Microsoft Access Driver (*.mdb);DBQ=&quot; _&amp;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWRP7b.html" rel="bookmark" class="title">ps教程：投影制作</a>
					<div>
						photoshop教程:投影制作,很简单的方法. 原图: 最终效果:  1.打开图片把图抠出来,选中要做投影的图片,然后在图层样式选择投影,确定.  2.然后选择:图层/图层样式/创建图层,把人物跟投 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMA30Jz.html" rel="bookmark" class="title">规划网站的目录结构时通常遵循一定的规则</a>
					<div>
						网站结构的规划在网站设计中占有非常重要的地位.一个结构合理的网站,不但可以提高用户的访问速度,而且对网站的持续开发.后期维护都起着非常重要的作用. 网站的内容和链接设计都是逻辑意义上的设计.在物理意义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7r4wb.html" rel="bookmark" class="title">WCF技术剖析之八：ClientBase&amp;amp&semi;lt&semi;T&amp;amp&semi;gt&semi;中对ChannelFactory&amp;amp&semi;lt&semi;T&amp;amp&semi;gt&semi;的缓存机制</a>
					<div>
						和传统的分布式远程调用一样,WCF的服务调用借助于服务代理(Service Proxy).而ChannelFactory&lt;T&gt;则是服务代理的创建者.WCF采用基于终结点(Endpoint) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElr4Jz.html" rel="bookmark" class="title">Java JVM设置对性能的影响</a>
					<div>
						一台后端server,OS为Slackware 8.1,装了tomcat 4.1.30,近期在繁忙时期经常会死机,死状就是&quot;java.lang.OutOfMemoryError: unabl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EPrKM.html" rel="bookmark" class="title">win7直接免费升级win10&lpar;可享受终生免费升级&rpar;</a>
					<div>
						  最近,不少用户都在关注Win7/Win8/Win8.1系统如何升级为Win10系统,今天小编就以Win7为例,整理了一篇如何升级Win10系统的图文步骤.当然,Windows Insider预览项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o7eqb.html" rel="bookmark" class="title">打开txt文件报错无法找到脚本文件&OpenCurlyDoubleQuote;C&colon;&bsol;&bsol;windows&bsol;explorer&period;exe：472497436&period;vbs&rdquo;</a>
					<div>
						  故障现象: 打开txt文档时报错 原因分析: 中病毒后,文件全部变成快捷方式,360查杀病毒后,txt文件无法打开. 解决方案: 虽然桌面txt文档图标没有变,但是默认打开方式已经不是记事本打开了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLana8z.html" rel="bookmark" class="title">Google两步验证安装、取消与更换手机的方法</a>
					<div>
						由于Google的Gmail账户经常遭到恶意攻击,甚至出现美国政府高级官员帐号被攻击的情况,Google在早先推出过一个更安全的登录Google账户的方式:两步验证,目前该功能已经向全球用户开放. 两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eDkJb.html" rel="bookmark" class="title">如何提高硬盘读写速度？</a>
					<div>
						  硬盘读写速度直接影响着电脑系统的运行速度,硬盘读写速度变慢,系统的运行速度也变慢,这就直接影响了我们使用电脑的办公效率,因此,遇到这个问题,我们一定要尽快想办法解决,下面,我们就一起来学习几种解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Ze7b.html" rel="bookmark" class="title">tomcat-web项目运行一段时间就宕掉了，警告&colon; processCallbacks status 2</a>
					<div>
						问题描述 web项目运行一段时间就宕掉了,警告: processCallbacks status 2 以下是日志信息,请大家帮忙看下: 2014-05-07 20:03:57 Commons Daem ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwenjM.html" rel="bookmark" class="title">【干货】怎样用数据分析找对象</a>
					<div>
						上篇 写在前面 在工作中,经常利用多个数据指标对整体进行综合评价,需要把多个数据压缩成一个综合指标,这就是多指标综合评价方法. 耐心学完本期内容,足够装X一整年. 专业内容 专业术语的名称能吓死人,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGALv6M.html" rel="bookmark" class="title">一个典型的问题，关于继承成员内部类的子类的构造函数</a>
					<div>
						问题描述 一个典型的问题,关于继承成员内部类的子类的构造函数 初学JAVA,没有C币,但是希望大家能够帮忙解决一下问题: 先上代码: package Test; public class test9  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPeRrp.html" rel="bookmark" class="title">Android破解锁屏密码（已root）</a>
					<div>
						常在江湖飘,哪有不挨刀.有时候我们会忘了手机的图形密码,花钱请人去修吗?身为一个有情怀Android开发者,say no! 那么怎么才能破解图形密码呢?我们在设置图形密码的时候系统会自动帮我们生成一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze68eVb.html" rel="bookmark" class="title">王蒙出任盛大文学顾问 寄语网络文学&OpenCurlyDoubleQuote;文以清心，网更动人&rdquo;</a>
					<div>
						晨报记者徐颖报道 著名作家王蒙日前出任盛大文学顾问,并寄语网络文学&quot;文以清心,网更动人&quot;. 王蒙一直关注网络文学的发展,他表示,现在对网络文学存有一些争议是好事,有利于促进网络文学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94JP3b.html" rel="bookmark" class="title">图片-oracle 10g32位安装问题</a>
					<div>
						问题描述 oracle 10g32位安装问题 出现这种情况得怎么办?求解! 解决方案 找原版的系统,安装原版的oracle.特别是这种比较老的版本,建议你在windows server 2003上装. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKqWKz.html" rel="bookmark" class="title">面试了几家公司 一个公司是做arcgis做地图 还一家是用高德地图做 那个有前途</a>
					<div>
						问题描述 面试了几家公司一个公司是做arcgis做地图还一家是用高德地图做那个有前途高德地图和arcgis地图那个有前途去那边好??有相关行业的大牛指点下谢谢! 解决方案 解决方案二:不如来中地吧解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjBrJM.html" rel="bookmark" class="title">iframe样式问题</a>
					<div>
						问题描述 如何设置iframe的自适应高度?如果有多个iframe,如何统一为这些iframe设置字体 颜色等样式?请教各位,谢谢啊问题补充:能具体说说吗 解决方案 1&gt;.自适应大小无法通过CS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12E9dp.html" rel="bookmark" class="title">c语言-怎么样插入符号能让这十个数等于100？</a>
					<div>
						问题描述 怎么样插入符号能让这十个数等于100? 解决方案 明明是9个数字,哪里来的10个数字.这个题目典型的动态规划.用递归 大概写写 int buildn(int start, int end)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW54eM.html" rel="bookmark" class="title">数据科学在明年呈现哪四大趋势？物联网和未来医疗是香饽饽</a>
					<div>
						雷锋网(公众号:雷锋网)按:数据科学.大数据和物联网正在以令人炫目的速度发展和演进,而商业界正以缓慢的速度将更多来自不同渠道的数据整合起来,并能从中洞察更多信息.本文是 Andrew Dipper 对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60y2yz.html" rel="bookmark" class="title">关于jetspeed sso 管理得疑问</a>
					<div>
						问题描述 请问在jetspeed门户中如何配置外部得应用系统,可以通过访问的?这个是我新添加的一个demo站点,加了之后还需要做什么呢?麻烦各位友人帮忙看看.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RmA7z.html" rel="bookmark" class="title">移动端芯片霸主ARM与电脑芯片巨头英特尔 x86的爱恨情仇</a>
					<div>
						说到个人电脑芯片厂商,人们肯定会想到英特尔.而提到移动端芯片市场霸主,人们则会联想到ARM.这两家企业能成为现在行业中的霸者,与其精良的技术与严格的生产标准密不可分.英特尔专注于为用户提供高性能的服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwDe3M.html" rel="bookmark" class="title">请解释一下：System&period;out&period;println&lpar;data&rpar;</a>
					<div>
						问题描述 println()不是静态方法,为啥能这样用?out.println(data)请各位详解一下:System.out.println(data),谢谢啦 解决方案 解决方案二:为毛要知道这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoN39M.html" rel="bookmark" class="title">springmvc-使用Springmvc开发微信公众号数据传输问题</a>
					<div>
						问题描述 使用Springmvc开发微信公众号数据传输问题 返回给微信服务器的XML格式的字符串,发现在公网Linux服务器中,tomcat的catalina.out文件打印的该字符串少了&lt;![ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq8xvp.html" rel="bookmark" class="title">&lbrack;JavaScript&rsqb;JavaScript高级之词法作用域和作用域链</a>
					<div>
						主要内容: 分析JavaScript的词法作用域的含义 解析变量的作用域链 变量名提升时什么 一.关于块级作用域         说到JavaScript的变量作用域,与咱们平时使用的类C语言不同.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodXWBM.html" rel="bookmark" class="title">改变传统客服模式，大数据提升客户体验的创新与实践</a>
					<div>
						步入互联网时代,高速的信息交换渠道和多样的数据呈现视角,为消费者提供了全新的信息获取方式和更加开放的意见交流平台.在移动互联网.新媒体处于风口浪尖,人工智能.云服务方兴未艾的大数据跳跃式发展时期,用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRWR0p.html" rel="bookmark" class="title">世纪互联加入云计算专委会 推动应用进程</a>
					<div>
						本文讲的是世纪互联加入云计算专委会 推动应用进程,[IT168 资讯]世纪互联加入&quot;中国电子学会云计算专家委员会&quot;,同时,世纪互联副总裁蒋建平出任中国电子学会云计算专家委员会委员. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
